package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/FinancialDataDetail.class */
public class FinancialDataDetail implements RecordInterface {
    private String orgCode;
    private String corpCode;
    private String corName;
    private String year;
    private String totalAssets;
    private String creRealCapical;
    private String income;
    private String atrNetprofits;
    private String unit;
    private String currency;
    private String didRemark;

    public String getOrgCode() {
        return this.orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCorpCode() {
        return this.corpCode;
    }

    public void setCorpCode(String corpCode) {
        this.corpCode = corpCode;
    }

    public String getCorName() {
        return this.corName;
    }

    public void setCorName(String corName) {
        this.corName = corName;
    }

    public String getYear() {
        return this.year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getTotalAssets() {
        return this.totalAssets;
    }

    public void setTotalAssets(String totalAssets) {
        this.totalAssets = totalAssets;
    }

    public String getCreRealCapical() {
        return this.creRealCapical;
    }

    public void setCreRealCapical(String creRealCapical) {
        this.creRealCapical = creRealCapical;
    }

    public String getIncome() {
        return this.income;
    }

    public void setIncome(String income) {
        this.income = income;
    }

    public String getAtrNetprofits() {
        return this.atrNetprofits;
    }

    public void setAtrNetprofits(String atrNetprofits) {
        this.atrNetprofits = atrNetprofits;
    }

    public String getUnit() {
        return this.unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getCurrency() {
        return this.currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getDidRemark() {
        return this.didRemark;
    }

    public void setDidRemark(String didRemark) {
        this.didRemark = didRemark;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return null;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.orgCode = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE);
            this.corpCode = (String) input.get("corpCode");
            this.corName = (String) input.get("corName");
            this.year = (String) input.get("year");
            this.totalAssets = (String) input.get("totalAssets");
            this.creRealCapical = (String) input.get("creRealCapical");
            this.income = (String) input.get("income");
            this.atrNetprofits = (String) input.get("atrNetprofits");
            this.unit = (String) input.get("unit");
            this.currency = (String) input.get("currency");
            this.didRemark = (String) input.get("didRemark");
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE, this.orgCode);
        result.put("corpCode", this.corpCode);
        result.put("corName", this.corName);
        result.put("year", this.year);
        result.put("totalAssets", this.totalAssets);
        result.put("creRealCapical", this.creRealCapical);
        result.put("income", this.income);
        result.put("atrNetprofits", this.atrNetprofits);
        result.put("unit", this.unit);
        result.put("currency", this.currency);
        result.put("didRemark", this.didRemark);
        return result;
    }

    public String toString() {
        return "FinancialDataDetail [orgCode=" + this.orgCode + ", corpCode=" + this.corpCode + ", corName=" + this.corName + ", year=" + this.year + ", totalAssets=" + this.totalAssets + ", creRealCapical=" + this.creRealCapical + ", income=" + this.income + ", atrNetprofits=" + this.atrNetprofits + ", unit=" + this.unit + ", currency=" + this.currency + ", didRemark=" + this.didRemark + "]";
    }
}
